package com.inspect.metadata.montdata.mapper;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevRunData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataMontPatDevRunDataMapper {
    BasedataMontPatDevRunData selectBasedataMontPatDevRunDataByMontPatDevRunDataId(Long dataId);

    List<BasedataMontPatDevRunData> selectBasedataMontPatDevRunDataList(BasedataMontPatDevRunData data);

    int insertBasedataMontPatDevRunData(BasedataMontPatDevRunData data);

    int updateBasedataMontPatDevRunData(BasedataMontPatDevRunData data);

    int deleteBasedataMontPatDevRunDataByMontPatDevRunDataId(Long dataId);

    int deleteBasedataMontPatDevRunDataByMontPatDevRunDataIds(Long[] dataIds);
}
